apiVersion: apps/v1
kind: Deployment
metadata:
  name: ci4s-system-deployment
  namespace: argo
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ci4s-system
  template:
    metadata:
      labels:
        app: ci4s-system
    spec:
      containers:
      - name: ci4s-system
        image: 172.20.32.187/ci4s/ci4s-system:20240401
        ports:
        - containerPort: 9201

---
apiVersion: v1
kind: Service
metadata:
  name: ci4s-system-service
  namespace: argo
spec:
  type: NodePort
  ports:
    - port: 9201
      nodePort: 31207
      protocol: TCP
  selector:
    app: ci4s-system

